Bug 69772 - Anaconda crashes after automatic partitioning review screen
Summary: Anaconda crashes after automatic partitioning review screen
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-25 07:25 UTC by Ralph Baddour
Modified: 2007-04-18 16:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-02 18:57:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda dump produced by crash (35.58 KB, text/plain)
2002-07-25 07:26 UTC, Ralph Baddour
no flags Details
dump file (51.73 KB, text/plain)
2002-07-26 03:18 UTC, James Reed
no flags Details

Description Ralph Baddour 2002-07-25 07:25:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:
On a previous screen there was a pop-up warning that the there were 
some 'inconsistencies' detected in my partition table, but that it was safe to 
Ignore. I ignored. Another one popped up on saying that the creating of a boot 
disk is recommended. Finally on the review screen (showing my partition table 
and the proposed location of the installation) everything looked good -- when I 
clicked Next anaconda crashed...

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot with pcmcia.img boot disk. Put in pcmciadd.img disk to detect Vintech 
PCMCIA CD-ROM drive. (First time: Test each installation CD one at a time). 
Continue.
2.Select English, 104 keyboard, 2-button generic PS/2 mouse, etc. Choose Laptop 
full install.
3.Choose automatic partitioning (with review option checked).
	

Expected Results:  Should have continued with installation procedure...

Additional info:

Anaconda bug dump was saved to a floppy disk as suggested by the prompt. Will 
attach.

Comment 1 Ralph Baddour 2002-07-25 07:26:28 UTC
Created attachment 66987 [details]
Anaconda dump produced by crash

Comment 2 Ralph Baddour 2002-07-25 07:31:35 UTC
Additional info that is not in the dump:
- my machine is an HP Omnibook 900B
- HD (30 GB, almost new, no problems) currently has two partitions (first is a 
Phoenix BIOS hibernate/save-to-disk partition, next is a 25 GB partition for 
Win98)
- Empty unallocated space at end of HD meant to be used for RedHat Linux install


Comment 3 James Reed 2002-07-26 03:17:02 UTC
I've had the same problem.  Using Compaq Armada e500.  Primary partition is 
WinXP. Have a second data partion.  Remain 7GB to be for dual boot RH7.3.
Freezes and dumps same location as above.

I did get this to install one time, using GRUB loader.  Cannot get LILO option 
to work at all.  Even after Grub install was done (os was bootable via 
diskette); performed upgrade to attempt LILO install.
Attaching dump file.

Comment 4 James Reed 2002-07-26 03:18:22 UTC
Created attachment 67124 [details]
dump file

Comment 5 James Reed 2002-07-26 03:55:38 UTC
Have to alter my above statement.  This particular crash occurs right after 
root pwd is set, and new account is created.  States it's starting to load 
packages.

Have had the same problems though, at the same point of installation as 
mentioned earlier.

Comment 6 Michael Fulbright 2002-08-02 18:48:33 UTC
There are several read errors from your CD in the error log - I would recommend
testing your CDs following these instructions:

  http://people.redhat.com/~msf/mediacheck.html

Comment 7 Ralph Baddour 2002-08-02 18:55:29 UTC
CD errors are not the problem for me. My CD's all get PASSes with the 
mediacheck option after boot up (i.e. typing "linux mediacheck").
Thus, please don't close this case.

Comment 8 Ralph Baddour 2002-08-02 18:57:04 UTC
please reopen the bug...

Comment 9 Michael Fulbright 2002-08-05 16:16:08 UTC
There are alot of errors like:

<4>hdf: lost interrupt
<4>hdf: command error: status=0x51 { DriveReady SeekComplete Error }
<4>hdf: command error: error=0x54
<7>ISO 9660 Extensions: RRIP_1991A
<4>hdf: lost interrupt
<4>hdf: command error: status=0x51 { DriveReady SeekComplete Error }
<4>hdf: command error: error=0x54
<4>hdf: command error: status=0x51 { DriveReady SeekComplete Error }
<4>hdf: command error: error=0x54
<4>end_request: I/O error, dev 21:40 (hdf), sector 1307268

in the error log you attached. Either the media is bad or the CD drive in this
machine cannot read the media you are using.




Note You need to log in before you can comment on or make changes to this bug.